Subject: Re: bug#21078: 24.5; Wish: Customize as a general-purpose configuration facility

From: Ted Zlatanov <[email-masked]>
Date: Thu, 05 Nov 2015 13:55:52 -0500

On Fri, 17 Jul 2015 17:53:43 +0200 Raffaele Ricciardi <[email-masked]> wrote: 

RR> On Fri, 17 Jul 2015 07:27:17 +0530
RR> Vaidheeswaran C <[email-masked]> wrote:
>> On Thursday 16 July 2015 11:48 PM, Raffaele Ricciardi wrote:
>> 
>> > the widget interface that Customize creates is tightly tied to
>> > `Custom-mode'.  Yet, the same interface could be useful to any
>> > package that requires users to perform some kind of complex
>> > configuration (for example: configuring a software project before
>> > compiling).
>> 
>> Do you want something more than what is documented in this node:
>> 
>> (info "(eieio) Customizing")
>> 

RR> EIEIO Custom Mode could look more similar to Custom Mode, but I infer
RR> that these modes were written independently, hence achieving a similar
RR> *look and feel* could require too much refactoring.  Anyway, it seems
RR> that the lambdas inside `eieio-custom-object-apply-reset' could be
RR> extracted as commands, so that users could bind them to keys.

In the same vein, you can look at assistant.el (part of Emacs and Gnus).
It tries to address exactly this need without any library dependencies
like EIEIO's Custom Mode. It uses the Customize widgets. It lacks
documentation and practical use cases, and hasn't been updated in a
while though.  So it really needs a maintainer IMHO.

Ted